[SciPy-user] OpenOpt errors with ALGENCAN

Paul Smith phhs80@gmail....
Mon Jun 2 12:46:49 CDT 2008


On Mon, Jun 2, 2008 at 6:42 PM, Nils Wagner
<nwagner@iam.uni-stuttgart.de> wrote:
> Hi,
>
> I have installed the new beta release.
> I am using g77 and python2.4
>
> ./runalgencan.py
> Traceback (most recent call last):
>   File "./runalgencan.py", line 30, in ?
>     import algencan
>   File "/home/nwagner/algencan.py", line 25, in ?
>     from pywrapper import solver
> ImportError: /home/nwagner/pywrapper.so: cannot map
> zero-fill pages: Cannot allocate memory
>
> Any idea ?

The interface Algencan expects Python 2.5 and not Python 2.4, I guess.
It works fine here with Python 2.5.

Paul


More information about the SciPy-user mailing list